Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 2733343002: Move chrome/common/safe_browsing/csd.proto to components/safe_browsing (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
6 months, 2 weeks ago by Jialiu Lin
Modified:
6 months, 2 weeks ago
CC:
chromium-reviews, extensions-reviews_chromium.org, blundell+watchlist_chromium.org, droger+watchlist_chromium.org, grt+watch_chromium.org, sdefresne+watchlist_chromium.org, oshima+watch_chromium.org, mac-reviews_chromium.org, chromium-apps-reviews_chromium.org, davemoore+watch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Move chrome/common/safe_browsing/csd.proto to components/safe_browsing Move csd.proto to components/safe_browsing. This CL serves 2 purpose: (1) moving csd.proto to component enables further componentization of safe browsing reporting functionality, that will be used by WebView (2) It also allows PasswordProtectionService, and PasswordManager code to use these proto directly. BUG=698899, 688629 Review-Url: https://codereview.chromium.org/2733343002 Cr-Original-Commit-Position: refs/heads/master@{#455609} Committed: https://chromium.googlesource.com/chromium/src/+/f3aafdc5ac1a6caf52c6c41615118e381ad9e549 Review-Url: https://codereview.chromium.org/2733343002 Cr-Commit-Position: refs/heads/master@{#455915} Committed: https://chromium.googlesource.com/chromium/src/+/2e3385faf6bcf1cb97bd6fcc545643916c792140

Patch Set 1 #

Total comments: 4

Patch Set 2 : rebase #

Patch Set 3 : some missed files #

Patch Set 4 : rebase #

Patch Set 5 : rebase again #

Unified diffs Side-by-side diffs Delta from patch set Stats (+108 lines, -1107 lines) Patch
M chrome/browser/BUILD.gn View 1 2 3 4 2 chunks +2 lines, -0 lines 0 comments Download
M chrome/browser/chromeos/BUILD.gn View 1 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/download/DEPS View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/download/download_browsertest.cc View 1 2 2 chunks +1 line, -1 line 0 comments Download
M chrome/browser/download/download_commands.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/download/download_danger_prompt.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/download/download_danger_prompt_browsertest.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/browser_feature_extractor.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/browser_feature_extractor_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/client_side_detection_host.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/client_side_detection_host_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/client_side_detection_service.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/client_side_detection_service_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/client_side_model_loader.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/client_side_model_loader_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/download_feedback.cc View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/download_feedback_unittest.cc View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/download_protection_service.cc View 2 chunks +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/download_protection_service_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/binary_integrity_analyzer.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/binary_integrity_analyzer_mac.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/binary_integrity_analyzer_mac_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/binary_integrity_analyzer_win.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/binary_integrity_analyzer_win_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/binary_integrity_incident.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/binary_integrity_incident_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/blacklist_load_analyzer_win.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/blacklist_load_incident.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/blacklist_load_incident_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/download_metadata_manager.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/download_metadata_manager_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/environment_data_collection.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/environment_data_collection_win.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/environment_data_collection_win_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/extension_data_collection.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/extension_data_collection_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/incident.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/incident_report_uploader_impl.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/incident_report_uploader_impl_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/incident_reporting_service.cc View 1 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/incident_reporting_service_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/last_download_finder.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/last_download_finder_unittest.cc View 2 chunks +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/module_integrity_verifier_win.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/module_integrity_verifier_win_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/module_load_analyzer_win.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/module_load_analyzer_win_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/preference_validation_delegate.cc View 1 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/preference_validation_delegate_unittest.cc View 1 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/resource_request_detector.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/resource_request_detector_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/resource_request_incident.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/suspicious_module_incident.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/suspicious_module_incident_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/tracked_preference_incident.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/tracked_preference_incident_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/variations_seed_signature_analyzer.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/variations_seed_signature_incident.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/variations_seed_signature_incident_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/notification_image_reporter.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/notification_image_reporter_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/safe_browsing_navigation_observer_manager.h View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/signature_evaluator_mac.mm View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/signature_evaluator_mac_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/threat_details.h View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/threat_details_cache.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/threat_details_cache.cc View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/threat_details_unittest.cc View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/ui/BUILD.gn View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M chrome/common/BUILD.gn View 1 1 chunk +1 line, -0 lines 0 comments Download
M chrome/common/DEPS View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/common/safe_browsing/BUILD.gn View 1 chunk +0 lines, -1 line 0 comments Download
M chrome/common/safe_browsing/binary_feature_extractor.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/common/safe_browsing/binary_feature_extractor_mac.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/common/safe_browsing/binary_feature_extractor_mac_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/common/safe_browsing/binary_feature_extractor_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/common/safe_browsing/binary_feature_extractor_win.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/common/safe_browsing/binary_feature_extractor_win_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
D chrome/common/safe_browsing/csd.proto View 1 1 chunk +0 lines, -1019 lines 0 comments Download
M chrome/common/safe_browsing/download_protection_util.h View 1 chunk +1 line, -1 line 0 comments Download
M chrome/common/safe_browsing/zip_analyzer.h View 1 chunk +1 line, -1 line 0 comments Download
M chrome/common/safe_browsing/zip_analyzer.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/common/safe_browsing/zip_analyzer_results.h View 1 chunk +1 line, -1 line 0 comments Download
M chrome/renderer/BUILD.gn View 1 1 chunk +1 line, -0 lines 0 comments Download
M chrome/renderer/safe_browsing/DEPS View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/renderer/safe_browsing/phishing_classifier.cc View 2 chunks +1 line, -1 line 0 comments Download
M chrome/renderer/safe_browsing/phishing_classifier_browsertest.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/renderer/safe_browsing/phishing_classifier_delegate.cc View 1 1 chunk +1 line, -1 line 0 comments Download
M chrome/renderer/safe_browsing/phishing_classifier_delegate_browsertest.cc View 1 chunk +1 line, -1 line 0 comments Download
A chrome/tools/safe_browsing/DEPS View 1 chunk +3 lines, -0 lines 0 comments Download
M chrome/tools/safe_browsing/sb_sigutil.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/utility/safe_browsing/mac/BUILD.gn View 1 chunk +1 line, -1 line 0 comments Download
A chrome/utility/safe_browsing/mac/DEPS View 1 chunk +3 lines, -0 lines 0 comments Download
M chrome/utility/safe_browsing/mac/dmg_analyzer.cc View 1 chunk +1 line, -1 line 0 comments Download
M components/safe_browsing/BUILD.gn View 1 chunk +8 lines, -0 lines 0 comments Download
M components/safe_browsing/DEPS View 1 chunk +1 line, -0 lines 0 comments Download
A + components/safe_browsing/csd.proto View 1 3 chunks +2 lines, -5 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 52 (28 generated)
Jialiu Lin
nparker@, and vakh@, PTAL. Thanks!
6 months, 2 weeks ago (2017-03-08 02:55:49 UTC) #6
Nathan Parker
Thanks for taking this on, Jialiu! There are a lot of files including the .h! ...
6 months, 2 weeks ago (2017-03-08 17:31:43 UTC) #7
Jialiu Lin
nparker@ and I discussed in person. We decided not moving other protos in chrome/common/safe_browsing since ...
6 months, 2 weeks ago (2017-03-08 18:31:33 UTC) #8
Nathan Parker
lgtm
6 months, 2 weeks ago (2017-03-08 18:33:32 UTC) #9
Jialiu Lin
+sky@ for owner review of chrome/common/DEPS chrome/tools/safe_browsing/DEPS chrome/tools/safe_browsing/sb_sigutil.cc
6 months, 2 weeks ago (2017-03-08 19:01:23 UTC) #11
sky
LGTM
6 months, 2 weeks ago (2017-03-08 21:03:45 UTC) #12
Jialiu Lin
I need one more approval from pkasting@, since "third_party/protobuf" is added to components/safe_browsing/DEPS. Thanks!
6 months, 2 weeks ago (2017-03-08 22:19:08 UTC) #14
Peter Kasting
LGTM
6 months, 2 weeks ago (2017-03-08 22:22:24 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2733343002/1
6 months, 2 weeks ago (2017-03-08 22:25:02 UTC) #17
vakh (use Gerrit instead)
lgtm
6 months, 2 weeks ago (2017-03-08 22:25:24 UTC) #18
commit-bot: I haz the power
Failed to apply patch for chrome/browser/safe_browsing/incident_reporting/incident_reporting_service.cc: While running git apply --index -p1; error: patch failed: ...
6 months, 2 weeks ago (2017-03-08 22:43:32 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2733343002/20001
6 months, 2 weeks ago (2017-03-08 23:12:43 UTC) #23
commit-bot: I haz the power
Committed patchset #2 (id:20001) as https://chromium.googlesource.com/chromium/src/+/f3aafdc5ac1a6caf52c6c41615118e381ad9e549
6 months, 2 weeks ago (2017-03-09 00:26:08 UTC) #26
xhwang
On 2017/03/09 00:26:08, commit-bot: I haz the power wrote: > Committed patchset #2 (id:20001) as ...
6 months, 2 weeks ago (2017-03-09 00:51:10 UTC) #27
Jialiu Lin
A revert of this CL (patchset #2 id:20001) has been created in https://codereview.chromium.org/2743483002/ by jialiul@chromium.org. ...
6 months, 2 weeks ago (2017-03-09 00:55:04 UTC) #28
Jialiu Lin
A revert of this CL (patchset #2 id:20001) has been created in https://codereview.chromium.org/2744503002/ by jialiul@chromium.org. ...
6 months, 2 weeks ago (2017-03-09 00:55:29 UTC) #29
Scott Hess - ex-Googler
On 2017/03/09 00:55:29, Jialiu Lin wrote: > A revert of this CL (patchset #2 id:20001) ...
6 months, 2 weeks ago (2017-03-09 01:00:13 UTC) #30
Scott Hess - ex-Googler
On 2017/03/09 01:00:13, Scott Hess wrote: > On 2017/03/09 00:55:29, Jialiu Lin wrote: > > ...
6 months, 2 weeks ago (2017-03-09 01:30:19 UTC) #32
Jialiu Lin
I missed a couple of files that depends on csd.pb.h, which caused waterfall breakage after ...
6 months, 2 weeks ago (2017-03-09 05:28:23 UTC) #37
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2733343002/40001
6 months, 2 weeks ago (2017-03-09 18:06:59 UTC) #40
commit-bot: I haz the power
Failed to apply patch for chrome/browser/safe_browsing/download_feedback_unittest.cc: While running git apply --index -p1; error: patch failed: ...
6 months, 2 weeks ago (2017-03-09 19:25:32 UTC) #42
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2733343002/60001
6 months, 2 weeks ago (2017-03-09 19:41:50 UTC) #45
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2733343002/80001
6 months, 2 weeks ago (2017-03-09 22:33:45 UTC) #49
commit-bot: I haz the power
6 months, 2 weeks ago (2017-03-10 00:10:17 UTC) #52
Message was sent while issue was closed.
Committed patchset #5 (id:80001) as
https://chromium.googlesource.com/chromium/src/+/2e3385faf6bcf1cb97bd6fcc5456...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b